package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;

import java.io.IOException;

public class ToolData implements IRead, ILogentry {

    int		analogInputRange0;
    int		analogInputRange1;
    double		analogInput0;
    double		analogInput1;
    float		toolVoltage48V;
    int		toolOutputVoltage;
    float		toolCurrent;
    float		toolTemperature;
    int		toolMode;

    @Override
    public void read(CountDataInputStream di, int size) throws IOException {
        analogInputRange0=di.readUnsignedByte();
        analogInputRange1=di.readUnsignedByte();
        analogInput0=di.readDouble();
        analogInput1=di.readDouble();
        toolVoltage48V=di.readFloat();
        toolOutputVoltage=di.readUnsignedByte();
        toolCurrent=di.readFloat();
        toolTemperature=di.readFloat();
        toolMode=di.readUnsignedByte();
    }

    @Override
    public String toString() {
        return "ToolData{" +
                "analogInputRange0=" + analogInputRange0 +
                ", analogInputRange1=" + analogInputRange1 +
                ", analogInput0=" + analogInput0 +
                ", analogInput1=" + analogInput1 +
                ", toolVoltage48V=" + toolVoltage48V +
                ", toolOutputVoltage=" + toolOutputVoltage +
                ", toolCurrent=" + toolCurrent +
                ", toolTemperature=" + toolTemperature +
                ", toolMode=" + toolMode +
                '}';
    }
}
